<?php
// Nom ou adresse IP du contrleur de domaine (prcd de ldap://)
$LDAPserver = "ldap://monjolidc";
// Utilisateur du domaine (user@domainfqdn) et surtout pas domain\user
$LDAPuser = "dede@lateur.laserforce.org";
// Mot de passe de l'utilisateur
$LDAPpwd = "password";
// Chemin FQDN o seront effectues les recherches par dfaut. Prcisez les OU - organizational unit et DC - domain component ex : ou=toto,ou=titi,dc=domain,dc=com
$LDAPdefaultou = "OU=Lateur,dc=laserforce,dc=org";

function RunLDAPQuery($LDAPou,$LDAPquery)
{
	// En entre :
	// $LDAPou = chane vide (utilisera $LDAPdefaultou) ou prciser le chemin de l'OU dans laquelle effectuer les recherches, ex: OU=Toto,OU=Titi,DC=domaine,DC=com
	// $LDAPquery = chane contenant le filtre  utiliser pour la recherche
	// En sortie :
	// Retourne un tableau multidimensionnel ($LDAPdata) ou false si le binding n'a pu se faire
	global $LDAPserver, $LDAPuser, $LDAPpwd, $LDAPdefaultou;
	$LDAPds=ldap_connect($LDAPserver);
	if(ldap_bind($LDAPds, $LDAPuser , $LDAPpwd)===true)
	{
		if($LDAPou=="")
		{
			$LDAPou=$LDAPdefaultou;
		}
		$LDAPsr=ldap_search($LDAPds, $LDAPou, $LDAPquery);
		$LDAPdata = ldap_get_entries($LDAPds, $LDAPsr);
		ldap_close($LDAPds);
		return $LDAPdata;
	}
	else
	{
		return false;
	}
}

if(isset($_GET["login"]))
{
	$login=$_GET["login"];
}
else
{
	echo "ERR"; // Erreur (pas de login fourni)
	exit;
}

$ldapres=@RunLDAPQuery("","(samaccountname=$login)");
if($ldapres!=false)
{
	if($ldapres["count"]!=0)
	{
		if (isset($ldapres[0]["sn"][0]))
		{
			$ldapuserlastname=$ldapres[0]["sn"][0];
		}
		else
		{
			$ldapuserlastname="";
		}

		if (isset($ldapres[0]["givenname"][0]))
		{
			$ldapuserfirstname=$ldapres[0]["givenname"][0];
		}
		else
		{
			$ldapuserfirstname="";
		}

		if (isset($ldapres[0]["mail"][0]))
		{
			$ldapusermail=$ldapres[0]["mail"][0];
		}
		else
		{
			$ldapusermail="";
		}

		if (isset($ldapres[0]["useraccountcontrol"][0]))
		{
			if($ldapres[0]["useraccountcontrol"][0] & 2) // voir https://support.microsoft.com/fr-fr/kb/305144
			{
				$ldapuserdisabled=1; // compte dsactiv
			}
			else
			{
				$ldapuserdisabled=0;
			}
		}

		echo "OK<|>$ldapuserlastname<|>$ldapuserfirstname<|>$ldapusermail<|>$ldapuserdisabled";
		exit;
	}
	else
	{
		echo "NF"; // Not found, compte non trouv
		exit;
	}
}
else
{
	echo "ERR"; // Erreur (chec de binding dans ce cas)
	exit;
}



?>